Bug 15773 - perl doesn't build from source as non-root user
Summary: perl doesn't build from source as non-root user
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-08 21:27 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-09 02:50:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-08-08 21:27:08 UTC
In an attempt to work around bug #15730, I built perl from souce.  In doing
so, I discovered that the RPM build dies when the build is performed as a
non-root user.  The fix is trivial.

Here's a patch:
--- perl5.005_03/installperl.orig	Sat Jan 16 08:31:26 1999
+++ perl5.005_03/installperl	Tue Aug  8 13:39:25 2000
@@ -117,7 +117,7 @@
 
 # Do some quick sanity checks.
 
-if ($d_dosuid && $>) { die "You must run as root to install suidperl\n"; }
+# if ($d_dosuid && $>) { die "You must run as root to install suidperl\n";
}
 
    $installbin		|| die "No installbin directory in config.sh\n";
 -d $installbin		|| mkpath($installbin, 1, 0777);

Comment 1 Cristian Gafton 2000-08-09 02:45:48 UTC
assigned to nalin

Comment 2 Nalin Dahyabhai 2000-08-09 12:29:44 UTC
Already fixed in the pinstripe beta, thanks.


Note You need to log in before you can comment on or make changes to this bug.